[@celo/connect](../README.md) › [Globals](../globals.md) › ["abi-types"](../modules/_abi_types_.md) › [ABIDefinition](_abi_types_.abidefinition.md)

# Interface: ABIDefinition

**`internal`** 

## Hierarchy

* [AbiItem](_abi_types_.abiitem.md)

  ↳ **ABIDefinition**

## Index

### Properties

* [anonymous](_abi_types_.abidefinition.md#optional-anonymous)
* [constant](_abi_types_.abidefinition.md#optional-constant)
* [gas](_abi_types_.abidefinition.md#optional-gas)
* [inputs](_abi_types_.abidefinition.md#optional-inputs)
* [name](_abi_types_.abidefinition.md#optional-name)
* [outputs](_abi_types_.abidefinition.md#optional-outputs)
* [payable](_abi_types_.abidefinition.md#optional-payable)
* [signature](_abi_types_.abidefinition.md#signature)
* [stateMutability](_abi_types_.abidefinition.md#optional-statemutability)
* [type](_abi_types_.abidefinition.md#type)

## Properties

### `Optional` anonymous

• **anonymous**? : *undefined | false | true*

*Inherited from [AbiItem](_abi_types_.abiitem.md).[anonymous](_abi_types_.abiitem.md#optional-anonymous)*

*Defined in [abi-types.ts:39](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/connect/src/abi-types.ts#L39)*

___

### `Optional` constant

• **constant**? : *undefined | false | true*

*Inherited from [AbiItem](_abi_types_.abiitem.md).[constant](_abi_types_.abiitem.md#optional-constant)*

*Defined in [abi-types.ts:40](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/connect/src/abi-types.ts#L40)*

___

### `Optional` gas

• **gas**? : *undefined | number*

*Inherited from [AbiItem](_abi_types_.abiitem.md).[gas](_abi_types_.abiitem.md#optional-gas)*

*Defined in [abi-types.ts:47](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/connect/src/abi-types.ts#L47)*

___

### `Optional` inputs

• **inputs**? : *[AbiInput](_abi_types_.abiinput.md)[]*

*Inherited from [AbiItem](_abi_types_.abiitem.md).[inputs](_abi_types_.abiitem.md#optional-inputs)*

*Defined in [abi-types.ts:41](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/connect/src/abi-types.ts#L41)*

___

### `Optional` name

• **name**? : *undefined | string*

*Inherited from [AbiItem](_abi_types_.abiitem.md).[name](_abi_types_.abiitem.md#optional-name)*

*Defined in [abi-types.ts:42](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/connect/src/abi-types.ts#L42)*

___

### `Optional` outputs

• **outputs**? : *[AbiOutput](_abi_types_.abioutput.md)[]*

*Inherited from [AbiItem](_abi_types_.abiitem.md).[outputs](_abi_types_.abiitem.md#optional-outputs)*

*Defined in [abi-types.ts:43](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/connect/src/abi-types.ts#L43)*

___

### `Optional` payable

• **payable**? : *undefined | false | true*

*Inherited from [AbiItem](_abi_types_.abiitem.md).[payable](_abi_types_.abiitem.md#optional-payable)*

*Defined in [abi-types.ts:44](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/connect/src/abi-types.ts#L44)*

___

###  signature

• **signature**: *string*

*Defined in [abi-types.ts:51](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/connect/src/abi-types.ts#L51)*

___

### `Optional` stateMutability

• **stateMutability**? : *StateMutabilityType*

*Inherited from [AbiItem](_abi_types_.abiitem.md).[stateMutability](_abi_types_.abiitem.md#optional-statemutability)*

*Defined in [abi-types.ts:45](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/connect/src/abi-types.ts#L45)*

___

###  type

• **type**: *AbiType*

*Inherited from [AbiItem](_abi_types_.abiitem.md).[type](_abi_types_.abiitem.md#type)*

*Defined in [abi-types.ts:46](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/connect/src/abi-types.ts#L46)*
