variable block_time {
  type        = number
  description = "Number of seconds between each block"
}

variable celo_env {
  type        = string
  description = "Name of the testnet Celo environment"
}

variable gcloud_project {
  type        = string
  description = "Name of the Google Cloud project to use"
}

variable instance_type {
  description = "The instance type"
  type        = string
  default     = "n1-standard-2"
}

variable ethstats_host {
  type        = string
  description = "Ethstats url or IP address"
}

variable geth_exporter_docker_image_repository {
  type        = string
  description = "Repository of the geth exporter docker image"
}

variable geth_exporter_docker_image_tag {
  type        = string
  description = "Tag of the geth exporter docker image"
}

variable geth_node_docker_image_repository {
  type        = string
  description = "Repository of the geth docker image"
}

variable geth_node_docker_image_tag {
  type        = string
  description = "Tag of the geth docker image"
}

variable geth_verbosity {
  type        = number
  description = "Verbosity of the proxy nodes"
}

variable in_memory_discovery_table {
  type        = bool
  description = "Specifies whether to use an in memory discovery table"
}

variable istanbul_request_timeout_ms {
  type        = number
  description = "The number of ms for the istanbul request timeout"
}

variable network_id {
  type        = number
  description = "The network ID number"
}

variable network_name {
  type        = string
  description = "Name of the GCP network the proxy VM is in"
}

variable tx_node_count {
  type        = number
  description = "Number of tx-nodes that are created"
}

variable validator_count {
  type        = number
  description = "Number of proxys to create"
}

variable proxy_private_keys {
  type        = list(string)
  description = "Array with the Proxy private keys"
}

variable validator_signer_account_addresses {
  type        = list(string)
  description = "Array with the Validator etherbase account addresses"
}

variable reset_geth_data {
  type        = bool
  description = "Specifies if the existing chain data should be removed while creating the instance"
  default     = true
}

variable proxy_name {
  type        = string
  description = "The proxy Name for celostats"
}

variable proxy_addresses {
  type        = list(string)
  description = "The proxy address for celostats"
}

variable proxy_max_peers {
  type        = number
  description = "Max number of peers to connect with"
  default     = 125
  #note this does not behave as expected.  120 means we get 20 (unelected).
}

variable proxy_account_passwords {
  type        = list(string)
  description = "Array with the proxy account passwords"
}

variable "service_account_scopes" {
  description = "Scopes to apply to the service account which all nodes in the cluster will inherit"
  type        = list(string)
}